## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcMesh Member List

This is the complete list of members for iPcMesh, including all inherited members.

CreateEmptyThing()=0 | iPcMesh | `[pure virtual]`
GetAction()=0 | iPcMesh | `[pure virtual]`
GetMesh() const =0 | iPcMesh | `[pure virtual]`
Hide()=0 | iPcMesh | `[pure virtual]`
IsVisible() const =0 | iPcMesh | `[pure virtual]`
MoveMesh(iSector *sector, const csVector3 &pos)=0 | iPcMesh | `[pure virtual]`
SetAction(const char *actionName, bool reset=false)=0 | iPcMesh | `[pure virtual]`
SetMesh(const char *factname, const char *filename)=0 | iPcMesh | `[pure virtual]`
SetMesh(iMeshWrapper *mesh, bool do_remove=false)=0 | iPcMesh | `[pure virtual]`
SetPath(const char *path)=0 | iPcMesh | `[pure virtual]`
SetReverseAction(bool reverse=true)=0 | iPcMesh | `[pure virtual]`
Show()=0 | iPcMesh | `[pure virtual]`